Draft Clone/pt-br: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/pt-br|Name=Draft Clone|Name/pt-br=Draft Clone|Workbenches=Draft, Arch|MenuLocation=Draft -> Clone|SeeAlso=[[Draft Sca...")
(Updating to match new version of source page)
Line 17: Line 17:
The Clone tool can by used in [[macros]] and from the python console by using the following function:
The Clone tool can by used in [[macros]] and from the python console by using the following function:


{{Code|code=
<syntaxhighlight>
clone (obj,[delta])
clone (obj,[delta])
}}
</syntaxhighlight>
* Makes a clone of the given object(s).
* Makes a clone of the given object(s).
* The clone is an exact, linked copy of the given object.
* The clone is an exact, linked copy of the given object.
Line 25: Line 25:


Example:
Example:
{{Code|code=
<syntaxhighlight>
import Draft
import Draft
Draft.clone(FreeCAD.ActiveDocument.ActiveObject)
Draft.clone(FreeCAD.ActiveDocument.ActiveObject)


}}
</syntaxhighlight>
{{clear}}
{{clear}}
<languages/>
<languages/>

Revision as of 21:32, 1 January 2015

Draft Clone

Veja também
Draft -> Clone
Bancadas de trabalho
Draft, Arch
Atalho padrão
Nenhum
Introduzido na versão
-
Veja também
Draft Scale

Description

This tool produces a clone (a copy that is parametrically bound to the original object) of a selected object. If the original object changes, the clone changes too, but keeps its position, rotation and scale.

How to use

  1. Select objects you wish to clone
  2. Press the Draft Clone button

Properties

  • DadosScale: Specifies an optional scale factor for the clone
  • The result of the Draft Scale tool is also a clone

Scripting

The Clone tool can by used in macros and from the python console by using the following function:

clone (obj,[delta])
  • Makes a clone of the given object(s).
  • The clone is an exact, linked copy of the given object.
  • If the original object changes, the final object changes too. Optionally, you can give a delta Vector to move the clone away from the original position.

Example:

import Draft
Draft.clone(FreeCAD.ActiveDocument.ActiveObject)